@mixin for-phone-only {
    @media (max-width: 599px) { @content; }
}
@mixin for-tablet-portrait-up {
    @media (min-width: 600px) { @content; }
}
@mixin for-tablet-landscape-up {
    @media (min-width: 900px) { @content; }
}
@mixin for-desktop-up {
    @media (min-width: 1200px) { @content; }
}
@mixin for-big-desktop-up {
    @media (min-width: 1800px) { @content; }
}

$primary-color: #F3901D;
$text-color: #000000;
$track-color: rgba(0, 0, 0, 0.24);

@function primaryColor($opacity) {
    @return rgba($primary-color, $opacity)
};

@function textColor($opacity) {
    @return rgba($text-color, $opacity)
};

$scrollbarBG: white;
$thumbBG: #90a4ae;

@mixin scrollbar {
  scrollbar-width: thin;
  scrollbar-color: $thumbBG $scrollbarBG;

  &::-webkit-scrollbar {
    width: 6px;
  }

  &::-webkit-scrollbar-track {
    background: $scrollbarBG;
  }

  &::-webkit-scrollbar-thumb {
    background-color: $thumbBG ;
    border-radius: 6px;
    border: 1px solid $scrollbarBG;
  }
}


@mixin material-border {
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}
